Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/libinput: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 16 Nov 2015 20:57:35 +0100

---
 testing/libinput/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/libinput/APKBUILD
diff --git a/testing/libinput/APKBUILD b/testing/libinput/APKBUILD
new file mode 100644
index 0000000..f6e5ae9
--- /dev/null
+++ b/testing/libinput/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
+pkgname=libinput
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="Library for handling input devices"
+url="http://www.freedesktop.org/wiki/Software/libinput/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="mtdev-dev eudev-dev libevdev-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="3610c80555f4cb13fe61d4c04511e060  libinput-1.1.0.tar.xz"
+sha256sums="673186ea2a0d2b695afaa9758834f9217b175774d9ae222e1b43ff63c663f582  libinput-1.1.0.tar.xz"
+sha512sums="7f014eabed120c00fcd2d8748aed44a8ca31fd30bdda8b289ca63f7d1bebb9c49f1d508707fb0c4a5c7c4a37b58548efdff0e9b7761475f18e1cf787a80520e6  libinput-1.1.0.tar.xz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 20:57:35 GMT